Retrieve Apple Pay Onboarding Information

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Definition

https://sandbox.bluesnap.com/services/2/wallets/onboarding/:onboardingId


Documentation

This GET request allows you to retrieve the registered domains on which you are displaying the Apple Pay button.

👍

This API call is supported for Apple Pay on the web. For more detailed setup instructions, see Apple Pay in your website.


JSON Request Content

Enter the Onboarding ID into the web service URL, in the format:
services/2/wallets/onboarding/{onboardingId}

For example:
services/2/wallets/onboarding/365

JSON Response Details

If successful, the response HTTP status code is 200 OK.
The response contains the retrieved wallet object.


JSON Examples

Request Example

curl -v -X GET https://sandbox.bluesnap.com/services/2/wallets/onboarding/365 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '

Response Example

{
  "walletType": "APPLE_PAY", 
  "applePay": {
    	"domains": ["bluesnap.com", "mystore.example.com", "merchant.com"]
  }
}

Example Descriptions

Retrieve Onboarding Information

By including our Onboarding ID of 365 in the request URL, we obtained a list of registered domains in the response.


XML Request Content

Enter the Onboarding ID into the web service URL, in the format:
services/2/wallets/onboarding/{onboarding-id}

For example:
services/2/wallets/onboarding/365

XML Response Details

If successful, the response HTTP status code is 200 OK.
The response contains the retrieved wallet resource.


XML Examples

Request Example

curl -v -X GET https://sandbox.bluesnap.com/services/2/wallets/onboarding/365 \
-H 'Content-Type: application/xml' \
-H 'Accept: application/xml' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '

Response Example

<wallet xmlns="http://ws.plimus.com">
   <wallet-type>APPLE_PAY</wallet-type>
   <apple-pay>
     <domain>bluesnap.com</domain>
     <domain>mystore.example.com</domain>
     <domain>merchant.com</domain>
  </apple-pay>
</wallet>

Example Descriptions

Retrieve Onboarding Information

By including our Onboarding ID of 365 in the request URL, we obtained a list of registered domains in the response.


Back to Top
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!